## python-sphinx-feature-classification 1.0.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

docutils>=0.11  # OSI-Approved Open Source, Public Domain
pbr>=2.0 # Apache-2.0

## python-sphinx-feature-classification 0.3.0

=== debian/changelog ===
python-sphinx-feature-classification (0.3.0-1~cloud0) bionic-stein; urgency=medium

  * New package for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 20 Nov 2018 19:30:01 +0000

python-sphinx-feature-classification (0.3.0-1) unstable; urgency=medium

  * Initial release. (Closes: #907058)

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Aug 2018 17:09:43 +0200

=== debian/control ===
Source: python-sphinx-feature-classification
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0),
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-ddt,
 python3-docutils,
 python3-hacking,
 python3-openstackdocstheme (>= 1.17.0),
 python3-oslotest,
 python3-reno,
 python3-testtools,
 subunit,
 testrepository,
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-sphinx-feature-classification
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-sphinx-feature-classification.git
Homepage: https://github.com/openstack/sphinx-feature-classification/

Package: python-sphinx-feature-classification-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: generate a matrix of pluggable drivers and their support to an API - doc
 This package contains a Sphinx directive that allows creating matrices of
 drivers a project contains and which features they support. The directive
 takes an INI file with specific syntax explained in the usage documentation
 to generate the matrices, in which projects have the authority to say what is
 supported within their own repository.
 .
 This package contains the documentation.

Package: python3-sphinx-feature-classification
Architecture: all
Depends:
 python3-docutils,
 python3-pbr (>= 2.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-sphinx-feature-classification-doc,
Description: generate a matrix of pluggable drivers and their support to an API
 This package contains a Sphinx directive that allows creating matrices of
 drivers a project contains and which features they support. The directive
 takes an INI file with specific syntax explained in the usage documentation
 to generate the matrices, in which projects have the authority to say what is
 supported within their own repository.
 .
 This package contains the Python 3.x module.

## python-sphinx-feature-classification 0.3.2

=== debian/changelog ===
python-sphinx-feature-classification (0.3.2-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Removed the --with python2 (Closes: #950046).

 -- Thomas Goirand <zigo@debian.org>  Fri, 31 Jan 2020 16:29:35 +0100

python-sphinx-feature-classification (0.3.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 00:26:31 +0200

python-sphinx-feature-classification (0.3.2-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Standards-Version: 4.3.0 (no change).

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Mar 2019 13:31:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: python-sphinx-feature-classification
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr (>= 2.0),
+ python3-pbr,
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
@@ -17,13 +17,13 @@
  python3-ddt,
  python3-docutils,
  python3-hacking,
- python3-openstackdocstheme (>= 1.17.0),
+ python3-openstackdocstheme,
  python3-oslotest,
  python3-reno,
  python3-testtools,
  subunit,
  testrepository,
-Standards-Version: 4.2.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-sphinx-feature-classification
 Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-sphinx-feature-classification.git
 Homepage: https://github.com/openstack/sphinx-feature-classification/

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/sphinx-feature-classification.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'sphinx_feature_classification\.tests.*'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-sphinx-feature-classification-doc/usr/share/doc/python-sphinx-feature-classification-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

## python-sphinx-feature-classification 1.0.1

=== debian/changelog ===
python-sphinx-feature-classification (1.0.1-2~cloud0) focal-victoria; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 09 Jul 2020 13:14:47 +0000

python-sphinx-feature-classification (1.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 11:42:16 +0200

python-sphinx-feature-classification (1.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Apr 2020 12:54:45 +0200

## python-sphinx-feature-classification 1.1.0

=== debian/changelog ===
python-sphinx-feature-classification (1.1.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1049307).

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Aug 2023 15:30:19 +0200

python-sphinx-feature-classification (1.1.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 19:14:07 +0200

python-sphinx-feature-classification (1.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed pbr version in depends (availaible in Bullseye).
  * debhelper-compat 11.
  * Standards-Version: 4.5.1.

 -- Thomas Goirand <zigo@debian.org>  Sat, 27 Mar 2021 13:01:50 +0100

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,9 @@
 	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	echo "Do nothing..."
+	rm -rf build .stestr *.egg-info
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."

## python-sphinx-feature-classification 2.0.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

openstackdocstheme>=2.2.4 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD

=== debian/changelog ===
python-sphinx-feature-classification (2.0.0-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090616).

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Dec 2024 10:13:38 +0100

python-sphinx-feature-classification (2.0.0-1) unstable; urgency=medium

  * New upstream release:
    - Do not requires six anymore (Closes: #1086381).

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Oct 2024 13:26:26 +0100

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	rm -rf build .stestr *.egg-info
@@ -25,9 +25,5 @@
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-sphinx-feature-classification-doc/usr/share/doc/python-sphinx-feature-classification-doc/html
-	dh_sphinxdoc -O--buildsystem=python_distutils
+	dh_sphinxdoc
 endif
-
-override_dh_clean:
-	dh_clean -O--buildsystem=python_distutils
-	rm -rf build

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/openstack/sphinx-feature-classification/tags .*/(\d[\d\.]+)\.tar\.gz
